Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
tls_record.cpp File Reference
`#include <botan/internal/tls_record.h>`
`#include <botan/tls_ciphersuite.h>`
`#include <botan/tls_exceptn.h>`
`#include <botan/loadstor.h>`
`#include <botan/internal/tls_seq_numbers.h>`
`#include <botan/internal/tls_session_key.h>`
`#include <botan/internal/rounding.h>`
`#include <botan/internal/ct_utils.h>`
`#include <botan/rng.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::TLS

## Functions
size_t | Botan::TLS::read_record (secure_vector< uint8_t > &readbuf, Record_Raw_Input &raw_input, Record &rec, Connection_Sequence_Numbers *sequence_numbers, get_cipherstate_fn get_cipherstate)
void | Botan::TLS::write_record (secure_vector< uint8_t > &output, Record_Message msg, Protocol_Version version, uint64_t seq, Connection_Cipher_State *cs, RandomNumberGenerator &rng)